Index: npl/perl/perl/perl.SlackBuild
===================================================================
--- npl/perl/perl/perl.SlackBuild	(revision 2ac003979fdc25693068e66d24ebd60aec5fc3e8)
+++ npl/perl/perl/perl.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,155 +1,35 @@
-#!/bin/sh
-# Build and install Perl on Slackware
-# originally by:  David Cantrell <david@slackware.com>
-# maintained by:  <volkerdi@slackware.com>
-# Modfied for Syn-3 (heavily ;)
+#!/bin/bash
+
+#DEP:mysql56
+#DEP:expat
+#DEP:openssl
+#DEP:linuxdoc_tools
+#DEP:groff
+
+removepkg perl
 
 
-CWD=`pwd`
-TMP=/tmp
-PKG=$TMP/package-perl
-
-VERSION=5.8.7
-# IMPORTANT: also update -Dinc_version_list in ./configure below!
-
-ARCH=${ARCH:-i486}
-BUILD=1
-
-# Additional required modules:
-#DBI=1.48
-#DBDMYSQL=3.0002
-#XMLPARSER=2.34
-
-if [ "$ARCH" = "i386" ]; then
-  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
-elif [ "$ARCH" = "s390" ]; then
-  SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
-  SLKCFLAGS="-O2"
-fi
-
-#if [ -x /usr/bin/perl ]; then
-#  echo "Perl detected."
-#  echo
-#  echo "It's a good idea to remove your existing perl first."
-#  echo
-#  sleep 15
-#fi
-
-# Clear build location:
-rm -rf $PKG
-mkdir -p $PKG
-
-# Extract the source code:
-cd $TMP
-rm -rf perl-$VERSION
-tar xjvf $CWD/perl-$VERSION.tar.bz2
-
-# Change into the source directory:
-cd perl-$VERSION
-
-# Adjust owner/perms to standard values:
-chown -R root.root .
-find . -perm 555 -exec chmod 755 {} \;
-find . -perm 444 -exec chmod 644 {} \;
-
-# It is often suggested that we add this to the ./Configure:
-#     -Dusethreads -Duseithreads \
-# However, this option is considered experimental, and is not
-# recommended for production systems.  As such, we can't add
-# to our default perl build.  If you want the option anyway,
-# just uncomment the lines below and rebuild perl.
 #
-# Update:  while it's no longer considered experimental (and
-# yes, other vendors do ship threaded perl by default), enabling
-# threads causes a huge (>20%) performance hit, and I've seen
-# other reports of instability.  A few things "need" perl threads
-# but usually that's simply because they were compiled against
-# a threaded libperl... not any real need.  IMHO, shipping a
-# threaded perl by default would not be a good idea.  It's only
-# because everyone else does it that it's continually
-# reconsidered here.
-#USE_THREADS="-Dusethreads -Duseithreads"
-
-# We no longer include suidperl.  To quote the INSTALL file:
-#
-#   Because of the buggy history of suidperl, and the difficulty
-#   of properly security auditing as large and complex piece of
-#   software as Perl, we cannot recommend using suidperl and the feature
-#   should be considered deprecated.
-#   Instead use for example 'sudo': http://www.courtesan.com/sudo/
-
-# Configure perl:
-./Configure -de \
-  -Dprefix=/usr \
-  -Dcccdlflags='-fPIC' \
-  -Dinstallprefix=/usr \
-  -Doptimize="$SLKCFLAGS" \
-  $USE_THREADS \
-  -Dinc_version_list='5.8.6 5.8.5 5.8.4 5.8.3 5.8.2 5.8.1 5.8.0' \
-  -Darchname=$ARCH-linux
-
-# Build perl
-make || exit 1
-#make test || exit 1
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-14.2/source/d/perl/
+# Created at Thu Sep  6 16:26:30 CEST 2018
 
 
-# Install perl package:
-make install DESTDIR=$PKG || exit 1
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./perl.SlackBuild.orig
 
 
-# Strip everything:
-( cd $PKG
-  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
-# There are also miniperl and microperl.
-# I haven't had any requests for them, but would be willing
-# to consider adding one or both to the package if anyone
-# actually needs them for some reason.
-#make microperl
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
 
-# Symlinks that replace hard links
-( cd $PKG/usr/bin
-  ln -sf perl$VERSION perl
-  ln -sf c2ph pstruct
-  ln -sf s2p psed )
-
-# Install documentation
-mkdir -p $PKG/usr/doc/perl-$VERSION
-cp -a \
-  AUTHORS Artistic Copying INSTALL MANIFEST README README.Y2K README.cn README.jp README.ko README.micro README.tw Todo.micro \
-  $PKG/usr/doc/perl-$VERSION
-
-# We follow LSB with symlinks in /usr/share:
-( cd $PKG/usr/share
-  mv man .. )
-( cd $PKG/usr/man/man1
-  mkdir foo
-  cp *.1 foo
-  rm *.1
-  mv foo/* .
-  rmdir foo
-  gzip -9 *
-  ln -sf c2ph.1.gz pstruct.1.gz
-  ln -sf s2p.1.gz psed.1.gz )
-( cd $PKG/usr/man/man3
-  gzip -9 * )
-
-chown -R root.bin $PKG/usr/bin
-chmod 755 $PKG/usr/bin/*
-chmod 644 $PKG/usr/man/man?/*
-rmdir $PKG/usr/share
-
-# Insert the slack-desc:
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-# Build the package:
-cd $PKG
-makepkg -l y -c n $CWD/perl.pkg || exit 1
-echo $VERSION > $CWD/perl.version || exit 1
-echo $ARCH > $CWD/perl.arch || exit 1
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/perl/perl/perl.SlackBuild.orig
===================================================================
--- npl/perl/perl/perl.SlackBuild.orig	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perl/perl.SlackBuild.orig	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,327 @@
+#!/bin/sh
+
+# Copyright 2009, 2010, 2011, 2012, 2013, 2015, 2016  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+# originally by:  David Cantrell <david@slackware.com>
+# maintained by:  <volkerdi@slackware.com>
+
+VERSION=5.22.2
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+NUMJOBS=${NUMJOBS:--j6}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-perl
+
+# Additional required modules:
+DBDMYSQL=4.033
+DBI=1.636
+URI=1.71
+XMLPARSER=2.44
+XMLSIMPLE=2.22
+GETTEXT=1.07
+TERMREADKEY=2.33
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+fi
+
+if [ -x /usr/bin/perl ]; then
+  echo "Perl detected."
+  echo
+  echo "The perl package needs to be removed before building to ensure that"
+  echo "the perl modules are included in the new package."
+  echo
+  echo "Removing the perl package in 15 seconds, and then continuing with the build."
+  sleep 15
+  removepkg perl
+fi
+
+# Clear build location:
+rm -rf $PKG
+mkdir -p $PKG
+
+# Extract the source code:
+cd $TMP
+rm -rf perl-$VERSION
+tar xvf $CWD/perl-$VERSION.tar.?z* || exit 1
+
+# Change into the source directory:
+cd perl-$VERSION
+
+# Adjust owner/perms to standard values:
+chown -R root:root .
+find . \
+  \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+  -exec chmod 755 {} \; -o \
+  \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+  -exec chmod 644 {} \;
+
+# If after all this time you still don't trust threads, comment
+# out the variable below:
+#
+USE_THREADS="-Dusethreads -Duseithreads"
+
+if [ "$ARCH" = "x86_64" ]; then # adopted from "Cross Linux From Scratch"
+  # Configure must be told to also use lib64:
+  zcat $CWD/perl.configure.multilib.patch.gz | patch -p1 --verbose || exit 1
+  # "perl -V" should report that libc is in /lib64
+  sed -i -e '/libc/s#/lib/#/lib64/#' hints/linux.sh
+  # make perl use lib64:
+  echo 'installstyle="lib64/perl5"' >>hints/linux.sh
+fi
+
+# We no longer include suidperl.  To quote the INSTALL file:
+#
+#   Because of the buggy history of suidperl, and the difficulty
+#   of properly security auditing as large and complex piece of
+#   software as Perl, we cannot recommend using suidperl and the feature
+#   should be considered deprecated.
+#   Instead use for example 'sudo': http://www.courtesan.com/sudo/
+
+# Configure perl:
+./Configure -de \
+  -Dprefix=/usr \
+  -Dsiteprefix=/usr/local \
+  -Dsitelib="/usr/local/share/perl5" \
+  -Dsitearch="/usr/local/lib${LIBDIRSUFFIX}/perl5" \
+  -Darchlib="/usr/lib${LIBDIRSUFFIX}/perl5" \
+  -Dvendorprefix=/usr \
+  -Dprivlib="/usr/share/perl5" \
+  -Dvendorlib="/usr/share/perl5/vendor_perl" \
+  -Dvendorarch="/usr/lib${LIBDIRSUFFIX}/perl5/vendor_perl" \
+  -Dscriptdir='/usr/bin' \
+  -Dcccdlflags='-fPIC' \
+  -Dinstallprefix=/usr \
+  -Dlibpth="/usr/local/lib${LIBDIRSUFFIX} /usr/lib${LIBDIRSUFFIX} /lib${LIBDIRSUFFIX}" \
+  -Doptimize="$SLKCFLAGS" \
+  $USE_THREADS \
+  -Duseshrplib \
+  -Ubincompat5005 \
+  -Uversiononly \
+  -Dpager='/usr/bin/less -isr' \
+  -Darchname=$ARCH-linux
+
+# -Duseshrplib creates libperl.so
+# -Ubincompat5005 helps create DSO -> libperl.so
+
+# Kludge for gcc-4.2.4's needlessly changed output:
+cat makefile | grep -v '\<command-line\>' > foo
+mv foo makefile
+
+# Build perl
+make $NUMJOBS || exit 1
+make test
+
+# Install perl (needed to build modules):
+make install
+( cd /usr/bin
+  ln -sf perl$VERSION perl
+  ln -sf c2ph pstruct
+)
+#mkdir -p /usr/lib${LIBDIRSUFFIX}/perl5/vendor_perl/${VERSION}/${ARCH}-linux-thread-multi
+
+# Install perl package:
+make install DESTDIR=$PKG
+#mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/perl5/vendor_perl/${VERSION}/${ARCH}-linux-thread-multi
+
+# Add additional modules:
+( cd ext
+  ( tar xzvf $CWD/DBI-${DBI}.tar.gz
+    cd DBI-${DBI}
+    chown -R root:root .
+    perl Makefile.PL INSTALLDIRS=vendor
+    make
+    make test
+    make install
+    make install DESTDIR=$PKG
+    mkdir -p $PKG/usr/doc/perl-$VERSION/DBI-${DBI}
+    cp -a README* $PKG/usr/doc/perl-$VERSION/DBI-${DBI}
+    chmod 644 $PKG/usr/doc/perl-$VERSION/DBI-${DBI}/README*
+  )
+  ( tar xzvf $CWD/DBD-mysql-${DBDMYSQL}.tar.gz
+    cd DBD-mysql-${DBDMYSQL}
+    chown -R root:root .
+    perl Makefile.PL INSTALLDIRS=vendor
+    make
+    # make test
+    make install
+    make install DESTDIR=$PKG
+    mkdir -p $PKG/usr/doc/perl-$VERSION/DBD-mysql-${DBDMYSQL}
+    cp -a  README* TODO $PKG/usr/doc/perl-$VERSION/DBD-mysql-${DBDMYSQL}
+    chmod 644 $PKG/usr/doc/perl-$VERSION/DBD-mysql-${DBDMYSQL}/*
+  )
+  ( tar xzvf $CWD/XML-Parser-${XMLPARSER}.tar.gz
+    cd XML-Parser-${XMLPARSER}
+    chown -R root:root .
+    perl Makefile.PL INSTALLDIRS=vendor
+    make
+    make test
+    make install
+    make install DESTDIR=$PKG
+    mkdir -p $PKG/usr/doc/perl-$VERSION/XML-Parser-${XMLPARSER}
+    cp -a README* $PKG/usr/doc/perl-$VERSION/XML-Parser-${XMLPARSER}
+    chmod 644 $PKG/usr/doc/perl-$VERSION/XML-Parser-${XMLPARSER}/*
+  )
+  ( tar xzvf $CWD/XML-Simple-${XMLSIMPLE}.tar.gz
+    cd XML-Simple-${XMLSIMPLE}
+    chown -R root:root .
+    perl Makefile.PL INSTALLDIRS=vendor
+    make
+    make test
+    make install
+    make install DESTDIR=$PKG
+    mkdir -p $PKG/usr/doc/perl-$VERSION/XML-Simple${XMLSIMPLE}
+    cp -a README* $PKG/usr/doc/perl-$VERSION/XML-Simple${XMLSIMPLE}
+    chmod 644 $PKG/usr/doc/perl-$VERSION/XML-Simple${XMLSIMPLE}/*
+  )
+  ( tar xzvf $CWD/URI-${URI}.tar.gz
+    cd URI-${URI}
+    chown -R root:root .
+    perl Makefile.PL INSTALLDIRS=vendor
+    make
+    make test
+    make install
+    make install DESTDIR=$PKG
+    mkdir -p $PKG/usr/doc/perl-$VERSION/URI-${URI}
+    cp -a README* $PKG/usr/doc/perl-$VERSION/URI-${URI}
+    chmod 644 $PKG/usr/doc/perl-$VERSION/URI-${URI}/*
+  )
+  ( tar xzvf $CWD/gettext-${GETTEXT}.tar.gz
+    cd Locale-gettext-${GETTEXT}
+    chown -R root:root .
+    perl Makefile.PL INSTALLDIRS=vendor
+    make
+    make test
+    make install
+    make install DESTDIR=$PKG
+    mkdir -p $PKG/usr/doc/perl-$VERSION/gettext-${GETTEXT}
+    cp -a README* $PKG/usr/doc/perl-$VERSION/gettext-${GETTEXT}
+    chmod 644 $PKG/usr/doc/perl-$VERSION/gettext-${GETTEXT}/*
+  )
+  ( tar xzvf $CWD/TermReadKey-${TERMREADKEY}.tar.gz
+    cd TermReadKey-${TERMREADKEY}
+    chown -R root:root .
+    perl Makefile.PL INSTALLDIRS=vendor
+    make
+    make test
+    make install
+    make install DESTDIR=$PKG
+    mkdir -p $PKG/usr/doc/perl-$VERSION/TermReadKey-${TERMREADKEY}
+    cp -a README* $PKG/usr/doc/perl-$VERSION/TermReadKey-${TERMREADKEY}
+    chmod 644 $PKG/usr/doc/perl-$VERSION/TermReadKey-${TERMREADKEY}/*
+  )
+)
+
+# Strip everything:
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# There are also miniperl and microperl.
+# I haven't had any requests for them, but would be willing
+# to consider adding one or both to the package if anyone
+# actually needs them for some reason.
+#make microperl
+
+# Symlinks that replace hard links
+( cd $PKG/usr/bin
+  ln -sf perl$VERSION perl
+  ln -sf c2ph pstruct )
+
+# Install documentation
+mkdir -p $PKG/usr/doc/perl-$VERSION
+cp -a \
+  AUTHORS Artistic Changes Copying INSTALL \
+  README* \
+  README.{cn,jp,ko,tw} README.linux \
+  $PKG/usr/doc/perl-$VERSION
+
+# We follow LSB with symlinks in /usr/share:
+( cd $PKG/usr/share
+  mv man .. )
+( cd $PKG/usr/man/man1
+  mkdir foo
+  cp *.1 foo
+  rm *.1
+  mv foo/* .
+  rmdir foo
+  gzip -9 *
+  ln -sf c2ph.1.gz pstruct.1.gz )
+( cd $PKG/usr/man/man3
+  gzip -9 * )
+
+chmod 755 $PKG/usr/bin/*
+chmod 644 $PKG/usr/man/man?/*
+
+# This file shouldn't get clobbered:
+if [ -r $PKG/usr/lib${LIBDIRSUFFIX}/perl5/perllocal.pod ]; then
+  mv $PKG/usr/lib${LIBDIRSUFFIX}/perl5/perllocal.pod $PKG/usr/lib${LIBDIRSUFFIX}/perl5/perllocal.pod.new
+fi
+
+# Insert the slack-desc:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+
+cat << EOF | sed -e "s#/lib/#/lib${LIBDIRSUFFIX}/#" | sed -e "s#i486#$ARCH#" \
+  > $PKG/install/doinst.sh
+#!/bin/sh
+config() {
+  NEW="\$1"
+  OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
+  # If there's no config file by that name, mv it over:
+  if [ ! -r \$OLD ]; then
+    mv \$NEW \$OLD
+  elif [ "\$(cat \$OLD | md5sum)" = "\$(cat \$NEW | md5sum)" ]; then # toss the redundant copy
+    rm \$NEW
+  fi
+  # Otherwise, we leave the .new copy for the admin to consider...
+}
+config usr/lib/perl5/perllocal.pod.new
+EOF
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/perl-$VERSION-$ARCH-$BUILD.txz
Index: npl/perl/perl/perl.arch
===================================================================
--- npl/perl/perl/perl.arch	(revision 2ac003979fdc25693068e66d24ebd60aec5fc3e8)
+++ npl/perl/perl/perl.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-i486
+i586
Index: npl/perl/perl/perl.build
===================================================================
--- npl/perl/perl/perl.build	(revision 2ac003979fdc25693068e66d24ebd60aec5fc3e8)
+++ npl/perl/perl/perl.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-2056
+2058
Index: npl/perl/perl/perl.depver
===================================================================
--- npl/perl/perl/perl.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perl/perl.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,5 @@
+mysql56	1
+expat	020100
+openssl	5
+linuxdoc_tools	0
+groff	0
Index: npl/perl/perl/perl.major
===================================================================
--- npl/perl/perl/perl.major	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perl/perl.major	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perl/perl.md5
===================================================================
--- npl/perl/perl/perl.md5	(revision 2ac003979fdc25693068e66d24ebd60aec5fc3e8)
+++ npl/perl/perl/perl.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,4 +1,15 @@
-9a175d6ccbb5d9b41ffac5073ff9cc3c  ./perl-5.8.7.tar.bz2
-1d29183634c5538174dd6efe87e50aca  ./perl.SlackBuild
-c0aaa82dee93c5ecf8c4f001259da8ce  ./perl.pkg
+7bbaf2ce32e137d0e6045402c550d86c  ./DBD-mysql-4.033.tar.gz
+60f291e5f015550dde71d1858dfe93ba  ./DBI-1.636.tar.gz
+bc652758af65c24500f1d06a77415019  ./gettext-1.07.tar.gz
+2e0e5a93be417aff8b3d9e22ed5b84ff  ./perl-5.22.2.tar.xz
+63b0b1aa96cee3eaf7f052b78f0b6f19  ./perl.configure.multilib.patch.gz
+f8fbae7c28e6029535e639de1e0ffeac  ./perl_dev.pkg
+5dc12b3fc8f4f77a176feb8f395f22ce  ./perl.pkg
+3932b80939004705aa065ff96307d19e  ./perl.SlackBuild
+00efbc4077f5d9abda7da8af9d6f8629  ./perl.SlackBuild.log.gz
+8d2ac3013dde9d111fb855561d89733b  ./perl.SlackBuild.orig
 2681b7afa3dc2e6eb76fa5b72c9e9273  ./slack-desc
+1b60aa12b05b5c59d09061fa03087fdb  ./TermReadKey-2.33.tar.gz
+247c3da29a794f72730e01aa5a715daf  ./URI-1.71.tar.gz
+af4813fe3952362451201ced6fbce379  ./XML-Parser-2.44.tar.gz
+0914abddfce749453ed89b54029f2643  ./XML-Simple-2.22.tar.gz
Index: npl/perl/perl/perl.version
===================================================================
--- npl/perl/perl/perl.version	(revision 2ac003979fdc25693068e66d24ebd60aec5fc3e8)
+++ npl/perl/perl/perl.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -1,1 +1,1 @@
-5.8.7
+5.22.2
Index: npl/perl/perl/perl_dev.arch
===================================================================
--- npl/perl/perl/perl_dev.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perl/perl_dev.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perl/perl_dev.build
===================================================================
--- npl/perl/perl/perl_dev.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perl/perl_dev.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perl/perl_dev.version
===================================================================
--- npl/perl/perl/perl_dev.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perl/perl_dev.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+5.22.2
Index: npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.SlackBuild
===================================================================
--- npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.arch
===================================================================
--- npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.build
===================================================================
--- npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
Index: npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.depver
===================================================================
--- npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.md5
===================================================================
--- npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+0e8add21a641b8d66436df0c2024bf3b  ./Algorithm-Diff-1.1903.tar.gz
+14d0b5b9b9303269d81a885162229aef  ./perlmod_Algorithm_Diff.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_Algorithm_Diff.SlackBuild
+06387c8c3fd675bc7184e379e371c99e  ./perlmod_Algorithm_Diff.SlackBuild.log.gz
Index: npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.version
===================================================================
--- npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Algorithm_Diff/perlmod_Algorithm_Diff.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.1903
Index: npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.SlackBuild
===================================================================
--- npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.arch
===================================================================
--- npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.build
===================================================================
--- npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.depver
===================================================================
--- npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+perl	1
Index: npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.md5
===================================================================
--- npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+bf7add539847975b8bc22e5ce333e65e  ./Archive-Tar-2.30.tar.gz
+700641788f0f385c5cf5bd44f433843a  ./perlmod_Archive_Tar.pkg
+0fb5f4fcb61317ff8fcf2678bf7bfd0c  ./perlmod_Archive_Tar.SlackBuild
+7c437deef1c2ae997c71e714e3f43eae  ./perlmod_Archive_Tar.SlackBuild.log.gz
Index: npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.version
===================================================================
--- npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Tar/perlmod_Archive_Tar.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2.30
Index: npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.SlackBuild
===================================================================
--- npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,35 @@
+#!/bin/bash
+#DEP:perl
+#DEP:perlmod_Test_MockModule
+#DEP:perlmod_SUPER
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/g'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.arch
===================================================================
--- npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.build
===================================================================
--- npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1
Index: npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.depver
===================================================================
--- npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.depver	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,3 @@
+perl	1
+perlmod_Test_MockModule	0
+perlmod_SUPER	0
Index: npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.md5
===================================================================
--- npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.md5	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,4 @@
+0576016be1e676cacebc447e2463dc44  ./Archive-Zip-1.63.tar.gz
+dc5c64bff5b55bdda76afaa8910b5a2d  ./perlmod_Archive_Zip.pkg
+7a633f2296982103fed29c6bd1856399  ./perlmod_Archive_Zip.SlackBuild
+818b42a5e33c6bb197e7f3f05446de3b  ./perlmod_Archive_Zip.SlackBuild.log.gz
Index: npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.version
===================================================================
--- npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Archive_Zip/perlmod_Archive_Zip.version	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+1.63
Index: npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.SlackBuild
===================================================================
--- npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.SlackBuild	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#DEP:perl
+
+#Standaard script voor Syn-3 perlmodules.
+#Dit script build alle perlmodule .tar.gz files in de huidige directory, en maakt
+#er Syn-3 packages van.
+
+CWD=`pwd`
+PKGROOT=`pwd`/pkgtmp
+
+for TAR in *.tar.gz; do
+	TARDIR=`echo $TAR|sed 's/.tar.gz//'` || exit 1
+	VER=`echo $TARDIR|sed 's/.*-//'` || exit 1
+	NAME=perlmod_`echo $TARDIR| sed 's/-[^-]*$//' | sed 's/-/_/'` || exit 1
+	
+	rm -r $PKGROOT 2>/dev/null
+	mkdir -p $PKGROOT
+	
+	#standard way to build a perl module
+	cd $CWD || exit 1
+	export PERL_INSTALL_ROOT=$PKGROOT
+	tar -xzf $TAR || exit 1
+	cd $TARDIR || exit 1
+	perl Makefile.PL || exit 1
+	make || exit 1
+	make test || exit 1
+	make install || exit 1
+	
+	cd $PKGROOT
+	makepkg -l y -c n $CWD/$NAME.pkg > /dev/null &&
+	echo $VER > $CWD/$NAME.version &&
+	arch > $CWD/$NAME.arch
+done
Index: npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.arch
===================================================================
--- npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.arch	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+i586
Index: npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.build
===================================================================
--- npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
+++ npl/perl/perlmod_Canary_Stability/perlmod_Canary_Stability.build	(revision 8662849f7907e8c0ccdb98591b894afdf2d13a5e)
@@ -0,0 +1,1 @@
+2
